%define	major 1
%define	libname %mklibname %{name} %{major}
%define	libnamedev %mklibname -d %{name}

# No sources get installed
%define	debug_package %{nil}

#disable autorequires on portaudio since we build with portaudio0
#define _requires_exceptions devel(libportaudio

Summary:	Text to speech synthesis engine
Name:		espeak
# Really a devel snapshot, to get all updates until 15/03/2015
Version:	1.48.15
Release:	3
License:	GPLv3+
Group:		Sound
Url:		http://espeak.sourceforge.net/
Source0:	http://espeak.sourceforge.net/test/%{name}-%{version}.zip
Source1:	%{name}.1
Source2:	http://espeak.sourceforge.net/data/ru_dict-48.zip
Source3:	zhy_dict-46.zip
Source4:	zh_dict-46.zip
#Patch0:	espeak-1.39-ldflags.patch
#gw from Fedora: make it work with pulseaudio enabled or disabled
Patch2:		%{name}-1.46.02-runtime-detection.patch
BuildRequires:	pkgconfig(portaudio-2.0)
BuildRequires:	pkgconfig(libpulse)
Requires:	sox

%description
A compact open source software speech synthesizer for English and other
languages. It produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%files
%doc ReadMe ChangeLog.txt License.txt docs
%{_bindir}/%{name}
%{_datadir}/%{name}-data
%{_mandir}/man1/%{name}.1*

#-----------------------------------------------------------------------------

%package -n %{libname}
Group: System/Libraries
Summary: Text to speech library

%description -n %{libname}
A compact open source software speech synthesizer for English and other
languages. It produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%files -n %{libname}
%doc ReadMe ChangeLog.txt
%{_libdir}/libespeak.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{libnamedev}
Group:		Development/C++
Summary:	Text to speech library
Requires:	%{libname} = %{version}-%{release}
Provides:	libespeak-devel = %{version}-%{release}
%rename		%{_lib}espeak1-devel

%description -n %{libnamedev}
A compact open source software speech synthesizer for English and other
languages. It produces good quality English speech. It uses a different
synthesis method from other open source TTS engines, and sounds quite
different. It's perhaps not as natural or "smooth", but I find the
articulation clearer and easier to listen to for long periods.

%files -n %{libnamedev}
%doc ReadMe ChangeLog.txt
%{_includedir}/%{name}
%{_libdir}/libespeak.so
#{_libdir}/libespeak.a

#-----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}
#%%patch0 -p0
%patch2 -p1

# Fix wrong perms
chmod 644 ReadMe *.txt
chmod 644 docs/*.html
chmod 644 docs/*.h

# Remove prebuilt stuff
rm -f espeak speak libespeak.so.1.1.48


rm -f src/portaudio.h
rm -f espeak-data/ru_dict
rm -f espeak-data/zh_dict
rm -f espeak-data/zhy_dict
cd espeak-data
unzip %{SOURCE2}
unzip %{SOURCE3}
unzip %{SOURCE4}


%build
cd src
%make


%install
cd src
%makeinstall_std LIBDIR=%{_libdir} DATADIR=%{_datadir}/%{name}-data

install -m 644 -D %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

# We don't want .a files
rm -f %{buildroot}%{_libdir}/libespeak.a

# Fix wrong perms
chmod -x %{buildroot}%{_datadir}/%{name}-data/voices/{de,default,en,en-us,es-la,fr,pt}
chmod -x %{buildroot}%{_datadir}/%{name}-data/voices/!v/*
chmod -x %{buildroot}%{_datadir}/%{name}-data/voices/{asia,europe,mb,other}/*
chmod -x %{buildroot}%{_datadir}/%{name}-data/voices/test/*

%changelog

* Thu Nov 02 2017 Giovanni Mariani <mc2374@mclink.it> 1.48.15-3
- (a49ca6a) Used the right source tarball, updated S2, removed useless Requires for the library package, bumped release


